Skip to main content

GET /api/bitcoin/difficulty

BTC mining difficulty

GET difficulty data from bitcoin service

Endpoint​

GET https://api.web3identity.com/api/bitcoin/difficulty

Example Request​

curl -s "https://api.web3identity.com/api/bitcoin/difficulty" | jq

Responses​

200 Difficulty​

{
"difficulty": 72345678901234.56,
"nextDifficulty": 73456789012345.67,
"changePercent": 1.53,
"nextAdjustment": 1209600
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required - free tier exhausted​

{
"example": "response"
}

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec